Skip to main content
POST
/
v1
/
search
Web Search
curl --request POST \
  --url https://api.browserbase.com/v1/search \
  --header 'Content-Type: application/json' \
  --header 'X-BB-API-Key: <api-key>' \
  --data '
{
  "query": "<string>",
  "numResults": 10
}
'
{
  "requestId": "<string>",
  "query": "<string>",
  "results": [
    {
      "id": "<string>",
      "url": "<string>",
      "title": "<string>",
      "author": "<string>",
      "publishedDate": "2023-11-07T05:31:56Z",
      "image": "<string>",
      "favicon": "<string>"
    }
  ]
}

Authorizations

X-BB-API-Key
string
header
required

Body

application/json

Request body for web search

Request body for web search

query
string
required

The search query string

Required string length: 1 - 200
numResults
integer
default:10

Number of results to return (1-25)

Required range: 1 <= x <= 25

Response

200 - application/json

The request has succeeded.

Response body for web search

requestId
string
required

Unique identifier for the request

query
string
required

The search query that was executed

results
object[]
required

List of search results